1. Reviews
WiserReview
  • Introduction
  • API Refrences
    • Authentication
      • Generate Token
    • Reviews
      • Get review list
        GET
      • Get reviews by product
        GET
      • Create review
        POST
    • Widgets
      • Star rating
      • Product Review
    • Product
      • Sync Product
  • Guides
    • Widgets
      • Plugins
      • Custom site
    • Webhooks
      • Introduction
    • Rich Snippet
      • Product Rich Snippet
    • Custom Ecommerce
      • API Verification Flow
  1. Reviews

Create review

POST
/v1/createReview

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Bad Request
🔴500Internal Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.wiserreview.com/api/v1/createReview' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "example@gmail.com",
    "rating": 5,
    "userName": "John K",
    "phoneNumber": "123456789",
    "title": "review title",
    "reviewText": "review text",
    "reviewerImage": "https://embed.wiserreview.com/review-media/3v8pgckm96r9k9x/user_662b54a3c4d55f143878f181.jpeg",
    "reviewImages": [
        "https://embed.wiserreview.com/review-media/3v8pgckm96r9k9x/6a69dcc70f3411514c68dbd8.webp",
        "https://embed.wiserreview.com/review-media/3v8pgckm96r9k9x/6a69dcd2064d0408a92fa77f.webp"
    ],
    "productName": "Smart phone",
    "productURL": "https://wiserreview.com",
    "productId": "wiser-123",
    "productImageURL": "https://embed.wiserreview.com/review-media/dashboard/preview_5.jpg",
    "orderId": "ord-8956",
    "isVerified": true,
    "isRecommended": true,
    "youtubeURL": "link",
    "xURL": "x link",
    "linkedinURL": "link",
    "instagramURL": "link",
    "city": "New York",
    "state": "New York",
    "country": "USA",
    "ipAddress": "12.0.0.1",
    "latitude": "25.32465.547.54",
    "longitude": "564.5646.65.45",
    "skuId": "sku id here",
    "variantId": "product variantId",
    "skuTitle": "sku title",
    "companyDesignation": "owner",
    "companyName": "Wiserreview",
    "companySiteURL": "https://wiserreview.com",
    "companyLogo": "https://embed.wiserreview.com/review-media/3v8pgckm96r9k9x/user_662b54a3c4d55f143878f181.jpeg"
}'
Response Response Example
200 - Success
{
    "status": "success",
    "pu": "https://wiserreview.com",
    "incentive": {
        "isCodeAvailable": false,
        "incentiveCode": "",
        "incentiveValue": "",
        "incentiveType": "",
        "reviewId": "6a842f15ef3364f0a5f78431"
    },
    "csub": "exclusive"
}
Modified at 2026-08-18 10:33:33
Previous
Get reviews by product
Next
Star rating
Built with